--- pgAgent-NG/misc.cpp	2013-09-11 11:33:41.991007281 +0200
+++ pgagent/misc.cpp	2013-09-11 12:02:08.413191475 +0200
@@ -10,45 +10,42 @@
 //////////////////////////////////////////////////////////////////////////
 
 #include "pgAgent.h"
+#include "connection.h"
 
+#ifndef __WXMSW__
 #include <unistd.h>
+#endif
 
-// In unix.cpp or win32.cpp
-void usage(const std::string &executable);
+// In unix.c or win32.c
+void usage(const wxString &executable);
 
-std::string getArg(int &argc, char **&argv)
+wxString getArg(int &argc, char **&argv)
 {
-    std::string s;
+	wxString s;
 	if (argv[0][2])
-        s = std::string(argv[0] + 2);
+		s = wxString::FromAscii(argv[0] + 2);
 	else
 	{
 		if (argc >= 1)
 		{
 			argc--;
 			argv++;
-            s = (argv[0]);
+			s = wxString::FromAscii(argv[0]);
 		}
 		else
 		{
 			// very bad!
-            LogMessage(("Invalid command line argument"), LOG_ERROR);
+			LogMessage(_("Invalid command line argument"), LOG_ERROR);
 		}
 	}
 
 	return s;
 }
 
-void setOptions(int argc, char **argv, connInfo *cInfo)
-{
-    std::string executable;
-    size_t pos = executable.find_last_of('/');
-    std::string temp = std::string(argv[0]);
-    if(pos != std::string::npos) executable = temp.substr(pos,temp.size()-pos-1);
 
-    temp.clear();
-
-    while (argc-- > 0)
+void setOptions(int argc, char **argv, const wxString &executable)
+{
+	while (argc-- > 0)
 	{
 		if (argv[0][0] == '-')
 		{
@@ -56,21 +53,21 @@
 			{
 				case 't':
 				{
-                int val = atoi(getArg(argc, argv).c_str());
+					int val = atoi(getArg(argc, argv).mb_str(wxConvUTF8));
 					if (val > 0)
 						shortWait = val;
 					break;
 				}
 				case 'r':
 				{
-                    int val = atoi(getArg(argc, argv).c_str());
+					int val = atoi(getArg(argc, argv).mb_str(wxConvUTF8));
 					if (val >= 10)
 						longWait = val;
 					break;
 				}
 				case 'l':
 				{
-                    int val = atoi(getArg(argc, argv).c_str());
+					int val = atoi(getArg(argc, argv).mb_str(wxConvUTF8));
 					if (val >= 0 && val <= 2)
 						minLogLevel = val;
 					break;
@@ -96,16 +93,17 @@
 		}
 		else
 		{
-            temp = temp +" "+ std::string(*argv);
+			if (connectString != wxT(""))
+				connectString += wxT(" ");
+			connectString += wxString::FromAscii(*argv);
+			if (**argv == '"')
+				connectString = connectString.substr(1, connectString.length() - 2);
 		}
 		argv++;
 	}
-    LogMessage( std::string("DB connection: ") + temp, LOG_DEBUG);
-    if(!temp.empty()) {
-        if(! cInfo->setConnectionString(temp)) LogMessage( std::string("connection string error: ") + temp, LOG_ERROR);
-    } else LogMessage( std::string("No connection string"), LOG_ERROR);
 }
 
+
 void WaitAWhile(const bool waitLong)
 {
 	int count;
@@ -125,11 +123,12 @@
 	}
 }
 
-void ReplaceString(std::string& subject, const std::string& search, const std::string& replace)
+
+
+wxString NumToStr(const long l)
 {
-    size_t pos = 0;
-    while ((pos = subject.find(search, pos)) != std::string::npos) {
-         subject.replace(pos, search.length(), replace);
-         pos += replace.length();
-    }
+	wxString buf;
+	buf.Printf(wxT("%ld"), l);
+	return buf;
 }
+
